CVE-2023-24807

high

Description

Undici is an HTTP/1.1 client for Node.js. Prior to version 5.19.1, the `Headers.set()` and `Headers.append()` methods are vulnerable to Regular Expression Denial of Service (ReDoS) attacks when untrusted values are passed into the functions. This is due to the inefficient regular expression used to normalize the values in the `headerValueNormalize()` utility function. This vulnerability was patched in v5.19.1. No known workarounds are available.

References

https://github.com/nodejs/undici/commit/f2324e549943f0b0937b09fb1c0c16cc7c93abdf

https://github.com/nodejs/undici/releases/tag/v5.19.1

https://github.com/nodejs/undici/security/advisories/GHSA-r6ch-mqf9-qc9w

https://hackerone.com/bugs?report_id=1784449

Details

Source: Mitre, NVD

Published: 2023-02-16

CVSS v3

Base Score: 7.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

Severity: High